
   
fos_user:
    db_driver: orm
    firewall_name: main
    user_class: AppVentus\JobBoardBundle\Entity\User
        
#    profile:
#        form:
#            handler: nmn_user_profile_form_handler
            
    service:
        mailer: fos_user.mailer.twig_swift
        # Permet la validation automatique du compte par envoi d'un email
    registration:
#        form:
#            handler: nmn_user_registration_form_handler
        confirmation:
            template: JobBoardBundle:Registration:registration.email.twig
            enabled:    true
            from_email:
                # Adresse de l'expediteur
                address:        noreply@job-board.fr
                # Nom de l'expediteur
                sender_name:    Job Board
            
#parameters:
#  nmn_user_discriminator_parameters:
#    classes:
#        admin:
#            entity: AppVentus\JobBoardBundle\Entity\Admin
#            registration: AppVentus\BaseJobBoardBundle\Form\Type\RegistrationAdminFormType
#            profile: AppVentus\BaseJobBoardBundle\Form\Type\ProfileAdminFormType
#            factory:
#        company:
#            entity: AppVentus\JobBoardBundle\Entity\Candidate
#            registration: AppVentus\BaseJobBoardBundle\Form\Type\RegistrationCandidateFormType
#            profile: AppVentus\BaseJobBoardBundle\Form\Type\ProfileCandidateFormType
#            factory:

